# cv::HammingLUT Struct Reference

`#include <features2d.hpp>`

List of all members.

## Public Types

typedef int | ResultType
typedef unsigned char | ValueType

## Public Member Functions

ResultType | operator() (const unsigned char *a, const unsigned char *b, int size) const

## Static Public Member Functions

static unsigned char | byteBitsLookUp (unsigned char b)
| given a byte, count the bits using a compile time generated look up table

## Member Typedef Documentation

typedef int cv::HammingLUT::ResultType

typedef unsigned char cv::HammingLUT::ValueType

## Member Function Documentation

static unsigned char cv::HammingLUT::byteBitsLookUp | ( | unsigned char | b ) | `[static]`

given a byte, count the bits using a compile time generated look up table

Parameters:

  b | the byte to count bits. The look up table has an entry for all values of b, where that entry is the number of bits.

Returns:
  the number of bits in byte b

ResultType cv::HammingLUT::operator() | ( | const unsigned char * | a,
|  | const unsigned char * | b,
|  | int | size
| ) |  | const

this will count the bits in a ^ b

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines